
Foreman - Bug #1021

Foreman no longer gathers reports after upgrading to puppet 2.71 on puppetmaster/clients

07/01/2011 04:50 PM - Jon Auman

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

/var/log/foreman/production.log shows:

Processing ReportsController#create (for 127.0.0.1 at 2011-07-01 20:40:51) [POST]

Parameters: {"action"=>"create", "controller"=>"reports"}

Completed in 3ms (View: 0, DB: 1) | 500 Internal Server Error [http://localhost/reports]

History

#1 - 07/01/2011 05:21 PM - Jon Auman

Duh... I found the solution:

cp $RUBY_HOME/lib/ruby/gems/1.8/gems/puppet-2.6.8/lib/puppet/reports/foreman.rb

$RUBY_HOME/lib/ruby/gems/1.8/gems/puppet-2.7.1/lib/puppet/reports/foreman.rb

Reports work now.

#2 - 07/11/2011 03:20 AM - Ohad Levy

- Status changed from New to Resolved
